<?xml version="1.0" encoding="UTF-8"?>

<?import javafx.scene.control.Button?>
<?import javafx.scene.control.ComboBox?>
<?import javafx.scene.control.Label?>
<?import javafx.scene.layout.AnchorPane?>
<?import javafx.scene.layout.Pane?>

<Pane maxHeight="-Infinity" maxWidth="-Infinity" minHeight="-Infinity" minWidth="-Infinity" prefHeight="750.0" prefWidth="300.0" xmlns="http://javafx.com/javafx/11.0.1" xmlns:fx="http://javafx.com/fxml/1" fx:controller="sample.ProfessorFiltersPanel">
   <children>
      <Label layoutX="100.0" layoutY="40.0" text="Filtriraj po:" />
      <ComboBox fx:id="zgrada" layoutX="100.0" layoutY="100.0" onAction="#buildingAction" prefWidth="100.0" style="-fx-background-color: #B39374;" />
      <ComboBox fx:id="sala" layoutX="100.0" layoutY="150.0" onAction="#hallAction" prefWidth="100.0" style="-fx-background-color: #B39374;" />
      <ComboBox fx:id="profesor" layoutX="100.0" layoutY="200.0" onAction="#teacherAction" prefWidth="100.0" style="-fx-background-color: #B39374;" />
      <Label layoutX="100.0" layoutY="80.0" text="Zgrada:" />
      <Label layoutX="100.0" layoutY="130.0" text="Sala:" />
      <Label layoutX="100.0" layoutY="180.0" text="Profesor:" />
      <AnchorPane layoutX="30.0" layoutY="540.0" prefHeight="300.0" prefWidth="300.0">
         <children>
            <Label layoutX="70.0" layoutY="40.0" text="Legenda:" />
            <Label layoutX="70.0" layoutY="65.0" prefHeight="35.0" prefWidth="170.0" style="-fx-background-color: #424949;" text="Predavanje" textFill="BLANCHEDALMOND" />
            <Label layoutX="70.0" layoutY="105.0" prefHeight="35.0" prefWidth="170.0" style="-fx-background-color: #839192;" text="Auditorne vjezbe" textAlignment="CENTER" textFill="BLANCHEDALMOND" />
            <Label layoutX="70.0" layoutY="145.0" prefHeight="35.0" prefWidth="170.0" style="-fx-background-color: #717D7E;" text="Labaratorijske vjezbe" textAlignment="CENTER" textFill="BLANCHEDALMOND" />
         </children>
      </AnchorPane>
      <Button layoutX="83.0" layoutY="257.0" mnemonicParsing="false" onAction="#ResetFiltersButton" prefWidth="150.0" style="-fx-background-color: #B39374;" text="Očisti filtere" textFill="WHITE" />
   </children>
</Pane>
